<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.beeboxs.mapper.HiveBaseBeehiveMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.beeboxs.entity.HiveBaseBeehive">
        <id column="id" property="id" />
        <result column="uid_hex" property="uidHex" />
        <result column="ap_uid_hex" property="apUidHex" />
        <result column="tag_name" property="tagName" />
        <result column="model" property="model" />
        <result column="tag_state" property="tagState" />
        <result column="upload_time" property="uploadTime" />
        <result column="voltage" property="voltage" />
        <result column="sur_plusdays" property="surPlusdays" />
        <result column="latitude" property="latitude" />
        <result column="longitude" property="longitude" />
        <result column="sent_num" property="sentNum" />
        <result column="rssi" property="rssi" />
    </resultMap>

</mapper>
